Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1661926 - {RFE} Make tfm-rubygem-hammer_cli_katello a dependency when installing hammer on a standalone server
Summary: {RFE} Make tfm-rubygem-hammer_cli_katello a dependency when installing hammer...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Packaging
Version: 6.4
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-24 13:21 UTC by Taft Sanders
Modified: 2019-08-12 19:31 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-22 15:40:53 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Taft Sanders 2018-12-24 13:21:13 UTC
Description of problem:
When installing hammer on a standalone system, the package tfm-rubygem-hammer_cli_katello has to be installed manually. 

Version-Release number of selected component (if applicable):
6.4.1

How reproducible:
Everytime

Steps to Reproduce:
1. Enable rhel-X-server-satellite-6.X-rpms on a standalone system
2. Install hammer
3. Manually install tfm-rubygem-hammer_cli_katello

Actual results:
Hammer functions don't work as expected without the manual install of tfm-rubygem-hammer_cli_katello

Expected results:
Installing hammer on a standalone via yum pulls all required packages

Additional info:
Hammer CLI Guide - Red Hat Customer Portal
https://access.redhat.com/documentation/en-us/red_hat_satellite/6.3/html-single/hammer_cli_guide/index#sect-CLI_Guide-Standalone_Use_of_Hammer

Comment 4 Eric Helms 2019-01-22 15:40:53 UTC
Users should install the 'satellite-cli' RPM to get all hammer plugins on any system.


Note You need to log in before you can comment on or make changes to this bug.